NPAPI multimedia plugins such as totem-mozilla no longer work in Abrowser

Proyecto:Trisquel
Versión:7.0
Componente:Programs
Categoría:petición de característica
Prioridad:normal
Asignado:No asignado
Estado:active
Descripción

Mozilla removed support for NPAPI plugins starting from version 52. Abrowser should support NPAPI plugins - it is possible to add support as another Firefox based browser called Waterfox has enabled support for NPAPI plugins. The packages totem-mozilla, rhythmbox-mozilla, gecko-mediaplayer, mozilla-plugin-vlc and mozplugger no longer work with Abrowser.

The multimedia plugins provide superior media playback with much less CPU usage than HTML5 media.

One possible workaround is to switch to GNU IceCat which is based on Firefox ESR version 52, which still supports NPAPI plugins. However, this is only a short term solution as the next version of Firefox ESR will remove support for NPAPI plugins.

Lun, 08/28/2017 - 10:08

I just tested Waterfox - the Mozplugger plugin appears in the list of plugins yet it does not actually work. Neither does the VLC plugin. It seems like Mozilla actually removed the code that is needed for these plugins to work.

Vie, 02/07/2020 - 15:01

The problems seems to be catching. Other distros are also affected. I have found IceCat seems to be unaffected - for the moment.